﻿Public Class Form1

    '*************************************************************
    ' 定数定義
    '*************************************************************

    Const s_cstTITLE As String = "動作情報" 'メッセージボックスのタイトル用

    '*************************************************************
    ' 変数定義
    '*************************************************************

    Dim s_bRun As Boolean ' サービス動作状況

    '*************************************************************
    ' プログラム起動
    '*************************************************************

    Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

        '/////////////////////////////////////////////////////////////
        '// STARFAX インストール確認

        If AxSFCSEnv1.CheckInstall() <> SFCSENV_SUCCESS Then
            MsgBox("STARFAX がインストールされていない、" & vbCrLf & "もしくは STARFAX 環境設定プログラム でフォルダ環境が設定されていません。", MsgBoxStyle.Critical, s_cstTITLE)
            Me.Close()
            End
        End If

        ' 表示の更新
        CommandOK_Click(CommandOK, New System.EventArgs())

    End Sub

    '*************************************************************
    ' 更新ボタン: クリック
    '*************************************************************

    Private Sub CommandOK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CommandOK.Click

        '-------------------------------------------------------------
        ' 各種表示のリセット

        ResetContorols()

        '-------------------------------------------------------------
        ' 動作情報の表示

        UpdateContorols()

        '-------------------------------------------------------------
        ' 各種表示の表示・非表示

        EnableContorols()

    End Sub

    '*************************************************************
    ' キャンセルボタン: クリック
    '*************************************************************

    Private Sub CommandCancel_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CommandCancel.Click

        End

    End Sub

    '-------------------------------------------------------------
    ' 各種表示のリセット
    '-------------------------------------------------------------

    Private Sub ResetContorols()

        s_bRun = False ' サービス動作状況

        TextRUN.Text = ""
        TextMAJOR.Text = ""
        TextMINOR.Text = ""
        TextREVISION.Text = ""
        TextAUTOTX.Text = ""
        TextAUTORX.Text = ""
        TextLINE0_RUN.Text = ""
        TextLINE0_SEND.Text = ""
        TextLINE0_RECEIVE.Text = ""
        TextLINE0_MODEM.Text = ""
        TextLINE1_RUN.Text = ""
        TextLINE1_SEND.Text = ""
        TextLINE1_RECEIVE.Text = ""
        TextLINE1_MODEM.Text = ""
        TextLINE2_RUN.Text = ""
        TextLINE2_SEND.Text = ""
        TextLINE2_RECEIVE.Text = ""
        TextLINE2_MODEM.Text = ""
        TextLINE3_RUN.Text = ""
        TextLINE3_SEND.Text = ""
        TextLINE3_RECEIVE.Text = ""
        TextLINE3_MODEM.Text = ""
        TextWARNING.Text = ""

    End Sub

    '-------------------------------------------------------------
    ' 動作情報の表示
    '-------------------------------------------------------------

    Private Sub UpdateContorols()

        Dim strWork As String
        Dim strWarning As String

        Dim lRet As String

        '/////////////////////////////////////////////////////////////
        '// (1)  STARFAX サービス状態取得
        '//
        '// SFCSEnvコントロール 《 STARFAX サービス状態取得 》
        '//   Function CheckServiceStatus() as Long
        '//

        If AxSFCSEnv1.CheckServiceStatus() <> SFCSENV_SERVICE_STOP Then
            s_bRun = True
            TextRUN.Text = "動作中"
        Else
            s_bRun = False
            TextRUN.Text = "停止中"
            Exit Sub
        End If


        '/////////////////////////////////////////////////////////////
        '// (2)  その他情報を取得
        '//
        '// SFCSEnvコントロール 《 起動情報文字列取得 》
        '//   Function GetRunInfoString( Section As String, Key As String,
        '//                              Default As String, Get As String ) as Long
        '//
        '// SFCSEnvコントロール 《 起動情報数値取得 》
        '//   Function GetRunInfoInt( Section As String, Key As String,
        '//                           Default As Long ) as Long
        '//
        '// ■  起動情報ファイル
        '//     [制御関連インターフェイスフォルダ\SfCsRun.inf
        '//   ●  セクション名: [Version]  ... バージョン 情報
        '//     ・  Product    ... 製品種類             ("SfCs" 固定)
        '//     ・  Major      ... メジャーバージョン
        '//     ・  Minor      ... マイナーバージョン
        '//     ・  Revision   ... バージョン毎修正回数
        '//   ●  セクション名: [Line0]  ... 回線0情報
        '//   ●  セクション名: [Line1]  ... 回線1情報
        '//   ●  セクション名: [Line2]  ... 回線2情報
        '//   ●  セクション名: [Line3]  ... 回線3情報
        '//     ・  Run        ... 回線起動状況 ("0":動作していない, "1":動作している)
        '//     ・  Send       ... 送信状況 ("0":送信不可, "1":送信可)
        '//     ・  Receive    ... 受信状況 ("0":受信不可, "1":受信可)
        '//     ・  Modem      ... モデム名
        '//   ●  セクション名: [AutoDel]  ... 自動削除情報
        '//     ・  AutoTx      ... 送信情報自動削除 (1:ON, 0:OFF)
        '//     ・  AutoTxTime  ... 送信情報自動削除対象 経過日数 (日)
        '//     ・  AutoRx      ... 受信情報自動削除 (1:ON, 0:OFF)
        '//     ・  AutoRxTime  ... 受信情報自動削除対象 経過日数 (日)
        '//   ●  セクション名: [Warning]  ... 警告
        '//     ・  DiskFreeInstall   ... インストールフォルダのディスク空き容量
        '//                               (1:残り150M以下, 0:正常)
        '//     ・  DiskFreeCtrl      ... 制御関連インターフェイスフォルダのディスク空き容量
        '//                               (1:残り150M以下, 0:正常)
        '//     ・  DiskFreeData      ... データフォルダのディスク空き容量
        '//                               (1:残り150M以下, 0:正常)
        '//     ・  SendIndexNum      ... 送信情報インデックスファイル件数
        '//                               (1:8万件以上, 0:正常)
        '//     ・  RecvIndexNum      ... 受信情報インデックスファイル件数
        '//                               (1:8万件以上, 0:正常)
        '//     ・  QueIndexNum       ... 未送信情報インデックスファイル件数
        '//                               (1:8万件以上, 0:正常)
        '//     ・  DustSendIndexNum  ... ごみ箱 送信情報インデックスファイル件数
        '//                               (1:8万件以上, 0:正常)
        '//     ・  DustRecvIndexNum  ... ごみ箱 受信情報インデックスファイル件数
        '//                               (1:8万件以上, 0:正常)
        '//

        ' VB6→VB.NET対応
        strWork = New String(Chr(0), 261)

        If AxSFCSEnv1.GetRunInfoString(SFCSENV_SEC_RUNVERSION, SFCSENV_KEY_RUNMAJOR, "", strWork) = SFCSENV_SUCCESS Then
            TextMAJOR.Text = strWork
        End If
        If AxSFCSEnv1.GetRunInfoString(SFCSENV_SEC_RUNVERSION, SFCSENV_KEY_RUNMINOR, "", strWork) = SFCSENV_SUCCESS Then
            TextMINOR.Text = strWork
        End If
        If AxSFCSEnv1.GetRunInfoString(SFCSENV_SEC_RUNVERSION, SFCSENV_KEY_RUNREVISION, "", strWork) = SFCSENV_SUCCESS Then
            TextREVISION.Text = strWork
        End If

        strWork = "しない"
        lRet = CStr(AxSFCSEnv1.GetRunInfoInt(SFCSENV_SEC_AUTODEL, SFCSENV_KEY_AUTOTX, 0))
        If CDbl(lRet) <> 0 Then
            lRet = CStr(AxSFCSEnv1.GetRunInfoInt(SFCSENV_SEC_AUTODEL, SFCSENV_KEY_AUTOTXTIME, 0))
            strWork = Str(CDbl(lRet)) & " 日"
        End If
        TextAUTOTX.Text = strWork
        strWork = "しない"
        lRet = CStr(AxSFCSEnv1.GetRunInfoInt(SFCSENV_SEC_AUTODEL, SFCSENV_KEY_AUTORX, 0))
        If CDbl(lRet) <> 0 Then
            lRet = CStr(AxSFCSEnv1.GetRunInfoInt(SFCSENV_SEC_AUTODEL, SFCSENV_KEY_AUTORXTIME, 0))
            strWork = Str(CDbl(lRet)) & " 日"
        End If
        TextAUTORX.Text = strWork

        lRet = CStr(AxSFCSEnv1.GetRunInfoInt(SFCSENV_SEC_LINE0, SFCSENV_KEY_LINERUN, 0))
        If CDbl(lRet) <> 0 Then
            TextLINE0_RUN.Text = "動作中"
            lRet = CStr(AxSFCSEnv1.GetRunInfoInt(SFCSENV_SEC_LINE0, SFCSENV_KEY_LINESEND, 0))
            If CDbl(lRet) <> 0 Then
                TextLINE0_SEND.Text = "送信可"
            Else
                TextLINE0_SEND.Text = "送信不可"
            End If
            lRet = CStr(AxSFCSEnv1.GetRunInfoInt(SFCSENV_SEC_LINE0, SFCSENV_KEY_LINERECV, 0))
            If CDbl(lRet) <> 0 Then
                TextLINE0_RECEIVE.Text = "受信可"
            Else
                TextLINE0_RECEIVE.Text = "受信不可"
            End If
            If AxSFCSEnv1.GetRunInfoString(SFCSENV_SEC_LINE0, SFCSENV_KEY_LINEMDM, CStr(0), strWork) = SFCSENV_SUCCESS Then
                TextLINE0_MODEM.Text = strWork
            End If
        End If

        lRet = CStr(AxSFCSEnv1.GetRunInfoInt(SFCSENV_SEC_LINE1, SFCSENV_KEY_LINERUN, 0))
        If CDbl(lRet) <> 0 Then
            TextLINE1_RUN.Text = "動作中"
            lRet = CStr(AxSFCSEnv1.GetRunInfoInt(SFCSENV_SEC_LINE1, SFCSENV_KEY_LINESEND, 0))
            If CDbl(lRet) <> 0 Then
                TextLINE1_SEND.Text = "送信可"
            Else
                TextLINE1_SEND.Text = "送信不可"
            End If
            lRet = CStr(AxSFCSEnv1.GetRunInfoInt(SFCSENV_SEC_LINE1, SFCSENV_KEY_LINERECV, 0))
            If CDbl(lRet) <> 0 Then
                TextLINE1_RECEIVE.Text = "受信可"
            Else
                TextLINE1_RECEIVE.Text = "受信不可"
            End If
            If AxSFCSEnv1.GetRunInfoString(SFCSENV_SEC_LINE1, SFCSENV_KEY_LINEMDM, CStr(0), strWork) = SFCSENV_SUCCESS Then
                TextLINE1_MODEM.Text = strWork
            End If
        End If

        lRet = CStr(AxSFCSEnv1.GetRunInfoInt(SFCSENV_SEC_LINE2, SFCSENV_KEY_LINERUN, 0))
        If CDbl(lRet) <> 0 Then
            TextLINE2_RUN.Text = "動作中"
            lRet = CStr(AxSFCSEnv1.GetRunInfoInt(SFCSENV_SEC_LINE2, SFCSENV_KEY_LINESEND, 0))
            If CDbl(lRet) <> 0 Then
                TextLINE2_SEND.Text = "送信可"
            Else
                TextLINE2_SEND.Text = "送信不可"
            End If
            lRet = CStr(AxSFCSEnv1.GetRunInfoInt(SFCSENV_SEC_LINE2, SFCSENV_KEY_LINERECV, 0))
            If CDbl(lRet) <> 0 Then
                TextLINE2_RECEIVE.Text = "受信可"
            Else
                TextLINE2_RECEIVE.Text = "受信不可"
            End If
            If AxSFCSEnv1.GetRunInfoString(SFCSENV_SEC_LINE2, SFCSENV_KEY_LINEMDM, CStr(0), strWork) = SFCSENV_SUCCESS Then
                TextLINE2_MODEM.Text = strWork
            End If
        End If

        lRet = CStr(AxSFCSEnv1.GetRunInfoInt(SFCSENV_SEC_LINE3, SFCSENV_KEY_LINERUN, 0))
        If CDbl(lRet) <> 0 Then
            TextLINE3_RUN.Text = "動作中"
            lRet = CStr(AxSFCSEnv1.GetRunInfoInt(SFCSENV_SEC_LINE3, SFCSENV_KEY_LINESEND, 0))
            If CDbl(lRet) <> 0 Then
                TextLINE3_SEND.Text = "送信可"
            Else
                TextLINE3_SEND.Text = "送信不可"
            End If
            lRet = CStr(AxSFCSEnv1.GetRunInfoInt(SFCSENV_SEC_LINE3, SFCSENV_KEY_LINERECV, 0))
            If CDbl(lRet) <> 0 Then
                TextLINE3_RECEIVE.Text = "受信可"
            Else
                TextLINE3_RECEIVE.Text = "受信不可"
            End If
            If AxSFCSEnv1.GetRunInfoString(SFCSENV_SEC_LINE3, SFCSENV_KEY_LINEMDM, CStr(0), strWork) = SFCSENV_SUCCESS Then
                TextLINE3_MODEM.Text = strWork
            End If
        End If

        strWarning = ""
        lRet = CStr(AxSFCSEnv1.GetRunInfoInt(SFCSENV_SEC_WARNING, SFCSENV_KEY_DISKFREEINST, 0))
        If CDbl(lRet) <> 0 Then
            strWarning = strWarning & "STARFAXがインストールされているフォルダのディスク空き容量が 150メガバイト以下 になりました" & vbCrLf
        End If
        lRet = CStr(AxSFCSEnv1.GetRunInfoInt(SFCSENV_SEC_WARNING, SFCSENV_KEY_DISKFREECTRL, 0))
        If CDbl(lRet) <> 0 Then
            strWarning = strWarning & "制御関連情報のインターフェイスフォルダのディスク空き容量が 150メガバイト以下 になりました" & vbCrLf
        End If
        lRet = CStr(AxSFCSEnv1.GetRunInfoInt(SFCSENV_SEC_WARNING, SFCSENV_KEY_DISKFREEDATA, 0))
        If CDbl(lRet) <> 0 Then
            strWarning = strWarning & "データ情報が設定されるフォルダのディスク空き容量が 150メガバイト以下 になりました" & vbCrLf
        End If
        lRet = CStr(AxSFCSEnv1.GetRunInfoInt(SFCSENV_SEC_WARNING, SFCSENV_KEY_SENDIDXNUM, 0))
        If CDbl(lRet) <> 0 Then
            strWarning = strWarning & "送信情報インデックスファイルの件数が ８万件以上 になりました" & vbCrLf
        End If
        lRet = CStr(AxSFCSEnv1.GetRunInfoInt(SFCSENV_SEC_WARNING, SFCSENV_KEY_RECVIDXNUM, 0))
        If CDbl(lRet) <> 0 Then
            strWarning = strWarning & "受信情報インデックスファイルの件数が ８万件以上 になりました" & vbCrLf
        End If
        lRet = CStr(AxSFCSEnv1.GetRunInfoInt(SFCSENV_SEC_WARNING, SFCSENV_KEY_QUEIDXNUM, 0))
        If CDbl(lRet) <> 0 Then
            strWarning = strWarning & "未送信情報インデックスファイルの件数が ８万件以上 になりました" & vbCrLf
        End If
        lRet = CStr(AxSFCSEnv1.GetRunInfoInt(SFCSENV_SEC_WARNING, SFCSENV_KEY_DUSENDIDXNUM, 0))
        If CDbl(lRet) <> 0 Then
            strWarning = strWarning & "ごみ箱 送信情報インデックスファイルの件数が ８万件以上 になりました" & vbCrLf
        End If
        lRet = CStr(AxSFCSEnv1.GetRunInfoInt(SFCSENV_SEC_WARNING, SFCSENV_KEY_DURECVIDXNUM, 0))
        If CDbl(lRet) <> 0 Then
            strWarning = strWarning & "ごみ箱 受信情報インデックスファイルの件数が ８万件以上 になりました" & vbCrLf
        End If
        TextWARNING.Text = strWarning

    End Sub

    '-------------------------------------------------------------
    ' 各種表示の表示・非表示
    '-------------------------------------------------------------

    Private Sub EnableContorols()

        FrameVERSION.Visible = s_bRun
        FrameVERSION.Visible = s_bRun
        LabelMAJOR.Visible = s_bRun
        LabelMINOR.Visible = s_bRun
        LabelREVISION.Visible = s_bRun
        FrameAUTODEL.Visible = s_bRun
        LabelAUTOTX.Visible = s_bRun
        LabelAUTORX.Visible = s_bRun
        FrameLINE.Visible = s_bRun
        LabelLINE0.Visible = s_bRun
        LabelLINE1.Visible = s_bRun
        LabelLINE2.Visible = s_bRun
        LabelLINE3.Visible = s_bRun
        FrameWARNING.Visible = s_bRun
        TextMAJOR.Visible = s_bRun
        TextMINOR.Visible = s_bRun
        TextREVISION.Visible = s_bRun
        TextAUTOTX.Visible = s_bRun
        TextAUTORX.Visible = s_bRun
        TextLINE0_RUN.Visible = s_bRun
        TextLINE0_SEND.Visible = s_bRun
        TextLINE0_RECEIVE.Visible = s_bRun
        TextLINE0_MODEM.Visible = s_bRun
        TextLINE1_RUN.Visible = s_bRun
        TextLINE1_SEND.Visible = s_bRun
        TextLINE1_RECEIVE.Visible = s_bRun
        TextLINE1_MODEM.Visible = s_bRun
        TextLINE2_RUN.Visible = s_bRun
        TextLINE2_SEND.Visible = s_bRun
        TextLINE2_RECEIVE.Visible = s_bRun
        TextLINE2_MODEM.Visible = s_bRun
        TextLINE3_RUN.Visible = s_bRun
        TextLINE3_SEND.Visible = s_bRun
        TextLINE3_RECEIVE.Visible = s_bRun
        TextLINE3_MODEM.Visible = s_bRun
        TextWARNING.Visible = s_bRun

    End Sub

End Class
